diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/olsr/helper/olsr-helper.cc ns-3.40/src/olsr/helper/olsr-helper.cc
--- ns-3.39/src/olsr/helper/olsr-helper.cc	2023-07-05 14:23:48.069428200 -0700
+++ ns-3.40/src/olsr/helper/olsr-helper.cc	2023-09-27 13:30:37.858839800 -0700
@@ -47,7 +47,7 @@
 void
 OlsrHelper::ExcludeInterface(Ptr<Node> node, uint32_t interface)
 {
-    std::map<Ptr<Node>, std::set<uint32_t>>::iterator it = m_interfaceExclusions.find(node);
+    auto it = m_interfaceExclusions.find(node);
 
     if (it == m_interfaceExclusions.end())
     {
@@ -67,7 +67,7 @@
 {
     Ptr<olsr::RoutingProtocol> agent = m_agentFactory.Create<olsr::RoutingProtocol>();
 
-    std::map<Ptr<Node>, std::set<uint32_t>>::const_iterator it = m_interfaceExclusions.find(node);
+    auto it = m_interfaceExclusions.find(node);
 
     if (it != m_interfaceExclusions.end())
     {
@@ -89,7 +89,7 @@
 {
     int64_t currentStream = stream;
     Ptr<Node> node;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         node = (*i);
         Ptr<Ipv4> ipv4 = node->GetObject<Ipv4>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/olsr/model/olsr-header.cc ns-3.40/src/olsr/model/olsr-header.cc
--- ns-3.39/src/olsr/model/olsr-header.cc	2023-07-05 14:23:48.069428200 -0700
+++ ns-3.40/src/olsr/model/olsr-header.cc	2023-09-27 13:30:37.862839700 -0700
@@ -352,8 +352,7 @@
 {
     Buffer::Iterator i = start;
 
-    for (std::vector<Ipv4Address>::const_iterator iter = this->interfaceAddresses.begin();
-         iter != this->interfaceAddresses.end();
+    for (auto iter = this->interfaceAddresses.begin(); iter != this->interfaceAddresses.end();
          iter++)
     {
         i.WriteHtonU32(iter->Get());
@@ -384,9 +383,7 @@
 MessageHeader::Hello::GetSerializedSize() const
 {
     uint32_t size = 4;
-    for (std::vector<LinkMessage>::const_iterator iter = this->linkMessages.begin();
-         iter != this->linkMessages.end();
-         iter++)
+    for (auto iter = this->linkMessages.begin(); iter != this->linkMessages.end(); iter++)
     {
         const LinkMessage& lm = *iter;
         size += 4;
@@ -432,9 +429,7 @@
     i.WriteU8(this->hTime);
     i.WriteU8(static_cast<uint8_t>(this->willingness));
 
-    for (std::vector<LinkMessage>::const_iterator iter = this->linkMessages.begin();
-         iter != this->linkMessages.end();
-         iter++)
+    for (auto iter = this->linkMessages.begin(); iter != this->linkMessages.end(); iter++)
     {
         const LinkMessage& lm = *iter;
 
@@ -447,8 +442,7 @@
         // - the end of the message).
         i.WriteHtonU16(4 + lm.neighborInterfaceAddresses.size() * IPV4_ADDRESS_SIZE);
 
-        for (std::vector<Ipv4Address>::const_iterator neigh_iter =
-                 lm.neighborInterfaceAddresses.begin();
+        for (auto neigh_iter = lm.neighborInterfaceAddresses.begin();
              neigh_iter != lm.neighborInterfaceAddresses.end();
              neigh_iter++)
         {
@@ -530,9 +524,7 @@
     i.WriteHtonU16(this->ansn);
     i.WriteHtonU16(0); // Reserved
 
-    for (std::vector<Ipv4Address>::const_iterator iter = this->neighborAddresses.begin();
-         iter != this->neighborAddresses.end();
-         iter++)
+    for (auto iter = this->neighborAddresses.begin(); iter != this->neighborAddresses.end(); iter++)
     {
         i.WriteHtonU32(iter->Get());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/olsr/model/olsr-header.h ns-3.40/src/olsr/model/olsr-header.h
--- ns-3.39/src/olsr/model/olsr-header.h	2023-07-05 14:23:48.069428200 -0700
+++ ns-3.40/src/olsr/model/olsr-header.h	2023-09-27 13:30:37.862839700 -0700
@@ -706,9 +706,7 @@
 operator<<(std::ostream& os, const MessageList& messages)
 {
     os << "[";
-    for (std::vector<MessageHeader>::const_iterator messageIter = messages.begin();
-         messageIter != messages.end();
-         messageIter++)
+    for (auto messageIter = messages.begin(); messageIter != messages.end(); messageIter++)
     {
         messageIter->Print(os);
         if (messageIter + 1 != messages.end())
